body{
    font-family: poppins;
    display: grid;
    grid-template-columns: 1fr;
}
header{
    position: fixed;
    z-index: 2;
    top: 0px;
    right: 0px;
    left: 0px;
    width: 100%;
}
nav{
    display: grid;
    grid-template-columns: 2fr 3fr;
    margin: 0%;
    background-color: rgb(0, 125, 166);
    position: fixed;
    z-index: 2;
    width: 100%;

}
a{
    color: white;
    text-decoration: none;
}
.bx{
    font-size: 30px;
}
.website-name{
    font-size: 400%;
    font-weight: bold;
}
.nav-links{
    display: grid;
    grid-template-columns: repeat(6,1fr);
    column-gap: 30px;
    align-items: center;
    justify-items: center;
}
.nav-links a{
    font-weight: bold;
}
.nav-links a:hover{
    font-size: 120%;
    background-color: white;
    padding: 10px;
    border-radius: 10px;
    color: rgb(0, 125, 166);
    text-decoration: underline;
    transition: 0.5s;
}
.dropdown{
    position: relative;
    display: inline-block;
}
.dropdown-content{
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 150px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
.dropdown-content a{
    color: black;
    padding: 12px 16px;
    margin-left: 0px;
    text-decoration: none;
    display: block;
}
.dropdown-content a:hover{
    background-color: #ddd;
}
.dropdown:hover .dropdown-content{
    display: block;
}

.Men-fashion{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    row-gap: 30px;
    margin-top: 120px;
    margin-bottom: 30px;
    justify-items: center;
}
.items1{
    display: grid;
    border: none;
    border-radius: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    width: 300px;
    justify-items: center;
}
.items1:hover{
    box-shadow: 0px 0px 10px rgb(0, 125, 166);
    width: 350px;
    transition: 0.3s;
    cursor: pointer;
}
article img{
    width: 250px;
    height: 300px;
    object-fit:contain;
}
.items button{
    background-color: rgb(9, 117, 23);
    color: white;
    border: none;
    border-radius: 4px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 25px;
    padding-right: 25px;
    font-size: 16px;
    cursor: pointer;
    margin-bottom: 30px;
    transition: 0.4s, opacity 0s;
}
.items button:hover{
    padding-bottom: 15px;
    padding-left: 40px;
    padding-right: 40px;
    font-size: 20px;
    background-color: white;
    color: green;
    border-color: green;
    border: solid;
}
h2{
    position: relative;
}
h2::after{
    content: "";
    position: absolute;
    width: 100%;
    bottom: -5px;
    height: 4px;
    left: 0;
    background-color: rgb(0, 125, 166);
    transition: 0.3s;
    transition-timing-function: ease-in-out;
    transform: scaleX(0);
}
.items1:hover h2::after{
    transform: scaleX(1); 
}
.foot-item1{
    background-color: rgb(61, 61, 61);
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.copyright{
    display: grid;
    grid-template-columns: 1fr;
    background-color: black;
    align-items: center;
    justify-items: center;
}
.foot-div1 ,.foot-div2{
    display: grid;
    grid-template-rows: repeat(3,80px);
}
.foot-div1-items{
    display: grid;
    grid-template-columns: 40px 250px;
    align-items: center; 
}
.foot-div2-items-SM{
    display: grid;
    grid-template-rows: 1fr 1fr;
    align-items: center;
}
.foot-div2-items{
    display: grid;
    grid-template-columns: 40px 4fr;
    align-items: center;
}
footer a:hover{
    color: green;
    text-decoration: underline;
    transition: 0.5s;
}
footer i:hover{
    cursor: pointer; 
    background-color: black;
    transition: 0.3s;   
}

.container{
    display: grid;
    grid-template-columns: repeat(5,1fr);
    justify-items: center;
    column-gap: 10px;
    row-gap: 10px;
    margin-top: 120px;
    margin-bottom: 30px;
    position: relative;
    z-index: 1;
}

.items2{
    display: grid;
    border: none;
    border-radius: 10px;
    width: 270px;
    justify-items: center;
}
.items2:hover{
    cursor: pointer;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 1);
}
.items2:hover p{
    color: rgb(0, 125, 166);
    transition: 0.3s;
}
.price{
    font-weight: bold;
    font-size: 25px;
}
article p{
    text-align: center;
}
article button{
    background-color: rgb(9, 117, 23);
    color: white;
    border: none;
    border-radius: 4px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 25px;
    padding-right: 25px;
    font-size: 16px;
    cursor: pointer;
    margin-bottom: 30px;
    transition: 0.4s, opacity 0s;
}
article button:hover{
    padding-bottom: 15px;
    padding-left: 40px;
    padding-right: 40px;
    font-size: 20px;
    background-color: white;
    color: green;
    border-color: green;
    border: solid;
}
article button:hover::after{
    content: attr(data-hover);
}
@media screen and (max-width:920px) {
    nav{
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }
    .nav-links{
        display: grid;
        grid-template-columns: repeat(6,1fr);
        column-gap: 20px;
        align-items: center;
        justify-items: center;
    }
    .Men-fashion{
        display: grid;
        grid-template-columns: 2fr 2fr;
    }
}
@media screen and (max-width:620px) {
    .Men-fashion{
        display: grid;
        grid-template-columns: 1fr;
    }
    .men-div, .women-div{
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }
    .foot-item1{
        display: grid;
        grid-template-columns: 1fr;
    }
    .copyright p{
        text-align: center;
    }
}
@media screen and (max-width:450px) {
    .website-name {
        font-size: 250%;
    }
    .nav-links{
        display: grid;
        grid-template-columns: repeat(6,1fr);
        column-gap: 10px;
        align-items: center;
        justify-items: center;
        font-size: 15px;
    }
}
@media screen and (max-width:380px) {
    nav{
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }
    .website-name a{
        font-size: 50%;
    }
    .nav-links{
        display: grid;
        grid-template-columns: repeat(6,1fr);
        column-gap:10px;
        width: 100%;
        justify-items: center;
        font-size: 10px;
    }
    
    .men-div a, .women-div a{
      font-size: 20px;  
    }
    .foot-item1 a,.foot-item1 p, .foot-div1 p, .foot-div2{
        font-size: 12px;
    }
    .copyright p{
        text-align: center;
        font-size: 10px;
    } 
    .bx{
        font-size:20px;
    } 
}
@media screen and (max-width:1430px) {
    .container{
        display: grid;
        grid-template-columns: repeat(4,1fr);
        justify-items: center;
    }  
}
@media screen and (max-width:1150px) {
    .container{
        display: grid;
        grid-template-columns: repeat(3,1fr);
        justify-items: center;
    }  
}
@media screen and (max-width:840px) {
    .container{
        display: grid;
        grid-template-columns: repeat(2,1fr);
        justify-items: center;
    }  
}
@media screen and (max-width:570px) {
    .container{
        display: grid;
        grid-template-columns: repeat(1,1fr);
        justify-items: center;
    }  
}
